export interface SubmitApprovalRequestData {
  orderGoodsId: number
  returnQuantity: number
  returnImages: string
  returnRemark: string
}

export interface HandleApprovalRequestData {
  /** 审批ID */
  approvalId: number
  /** 审批状态 */
  status: number
  returnAmount: number
  auditImages: string
  auditRemark: string
}

export interface SearchApiReturnApprovalQuery {
  pageNum: number
  pageSize: number
  approvalId?: number
  orderId?: number
  goodsId?: number
  status?: number
  startTime?: string
  endTime?: string
}

export interface ApiResponsePageData<T> {
  code: number
  msg: string
  data: {
    total: number
    rows: T[]
  }
}

export interface ReturnApprovalEntity {
  approvalId: number
  orderId: number
  goodsId: number
  /** 关联订单商品ID */
  orderGoodsId: number
  /** 归还数量 */
  returnQuantity: number
  /** 商品单价 */
  goodsPrice: number
  status: number
  returnAmount: number
  /** 归还图片路径数组 */
  returnImages: string
  /** 审核图片路径数组 */
  auditImages: string
  /** 归还说明 */
  returnRemark: string
  /** 审核说明 */
  auditRemark: string
  createTime: string
  updateTime: string
  /** 商品名称 */
  goodsName: string
  /** 封面图URL */
  coverImg: string
  /** 手机号 */
  mobile: string
  /** 用户id */
  userid: string
  /** 用户姓名 */
  name: string
  /** 是否内部用户（0否 1汇邦云用户 2企业微信用户） */
  isInternal: number
}

export type SubmitApprovalResponseData = ApiResponseMsgData<{
  approvalId: number
  status: number
}>